function GetOciTopLevelCommand_iam() {
    return 'iam'
}

function GetOciSubcommands_iam() {
    $ociSubcommands = @{
        'iam' = 'auth-token authentication-policy availability-domain bulk-action-resource-type-collection compartment customer-secret-key dynamic-group fault-domain group identity-provider identity-provider-group mfa-totp-device network-sources policy region region-subscription scim-client-credentials smtp-credential tag tag-default tag-namespace tagging-work-request tagging-work-request-error tagging-work-request-log tenancy ui-password-information user work-request'
        'iam auth-token' = 'create delete list update'
        'iam authentication-policy' = 'get update'
        'iam availability-domain' = 'list'
        'iam bulk-action-resource-type-collection' = 'list'
        'iam compartment' = 'bulk-delete-resources bulk-move-resources create delete get list move recover update'
        'iam customer-secret-key' = 'create delete list update'
        'iam dynamic-group' = 'create delete get list update'
        'iam fault-domain' = 'list'
        'iam group' = 'add-user create delete get list list-users remove-user update'
        'iam identity-provider' = 'create delete get list update'
        'iam identity-provider-group' = 'list'
        'iam mfa-totp-device' = 'activate create delete generate-totp-seed get list'
        'iam network-sources' = 'create delete get list update'
        'iam policy' = 'create delete get list update'
        'iam region' = 'list'
        'iam region-subscription' = 'create list'
        'iam scim-client-credentials' = 'reset-idp-scim-client'
        'iam smtp-credential' = 'create delete list update'
        'iam tag' = 'bulk-delete create delete get list list-cost-tracking reactivate retire update'
        'iam tag-default' = 'assemble-effective-tag-set create delete get list update'
        'iam tag-namespace' = 'cascade-delete change-compartment create delete get list reactivate retire update'
        'iam tagging-work-request' = 'get list'
        'iam tagging-work-request-error' = 'list'
        'iam tagging-work-request-log' = 'list'
        'iam tenancy' = 'get'
        'iam ui-password-information' = 'get-user'
        'iam user' = 'api-key create delete get list list-groups oauth2-credential swift-password ui-password update update-user-capabilities update-user-state'
        'iam user api-key' = 'delete list upload'
        'iam user oauth2-credential' = 'create delete list update'
        'iam user swift-password' = 'create delete list update'
        'iam user ui-password' = 'create-or-reset'
        'iam work-request' = 'get list'
    }
    return $ociSubcommands
}

function GetOciCommandsToLongParams_iam() {
    $ociCommandsToLongParams = @{
        'iam auth-token create' = 'description from-json help user-id'
        'iam auth-token delete' = 'auth-token-id force from-json help if-match user-id'
        'iam auth-token list' = 'all from-json help user-id'
        'iam auth-token update' = 'auth-token-id description from-json help if-match user-id'
        'iam authentication-policy get' = 'compartment-id from-json help'
        'iam authentication-policy update' = 'compartment-id force from-json help if-match network-policy password-policy'
        'iam availability-domain list' = 'all compartment-id from-json help'
        'iam bulk-action-resource-type-collection list' = 'all bulk-action-type from-json help limit page page-size'
        'iam compartment bulk-delete-resources' = 'compartment-id from-json help max-wait-seconds resources wait-for-state wait-interval-seconds'
        'iam compartment bulk-move-resources' = 'compartment-id from-json help max-wait-seconds resources target-compartment-id wait-for-state wait-interval-seconds'
        'iam compartment create' = 'compartment-id defined-tags description freeform-tags from-json help max-wait-seconds name wait-for-state wait-interval-seconds'
        'iam compartment delete' = 'compartment-id force from-json help if-match max-wait-seconds wait-for-state wait-interval-seconds'
        'iam compartment get' = 'compartment-id from-json help'
        'iam compartment list' = 'access-level all compartment-id compartment-id-in-subtree from-json help include-root lifecycle-state limit name page page-size sort-by sort-order'
        'iam compartment move' = 'compartment-id from-json help if-match max-wait-seconds target-compartment-id wait-for-state wait-interval-seconds'
        'iam compartment recover' = 'compartment-id from-json help if-match max-wait-seconds wait-for-state wait-interval-seconds'
        'iam compartment update' = 'compartment-id defined-tags description force freeform-tags from-json help if-match max-wait-seconds name wait-for-state wait-interval-seconds'
        'iam customer-secret-key create' = 'display-name from-json help user-id'
        'iam customer-secret-key delete' = 'customer-secret-key-id force from-json help if-match user-id'
        'iam customer-secret-key list' = 'all from-json help user-id'
        'iam customer-secret-key update' = 'customer-secret-key-id display-name from-json help if-match user-id'
        'iam dynamic-group create' = 'compartment-id defined-tags description freeform-tags from-json help matching-rule max-wait-seconds name wait-for-state wait-interval-seconds'
        'iam dynamic-group delete' = 'dynamic-group-id force from-json help if-match max-wait-seconds wait-for-state wait-interval-seconds'
        'iam dynamic-group get' = 'dynamic-group-id from-json help'
        'iam dynamic-group list' = 'all compartment-id from-json help lifecycle-state limit name page page-size sort-by sort-order'
        'iam dynamic-group update' = 'defined-tags description dynamic-group-id force freeform-tags from-json help if-match matching-rule max-wait-seconds wait-for-state wait-interval-seconds'
        'iam fault-domain list' = 'all availability-domain compartment-id from-json help'
        'iam group add-user' = 'from-json group-id help user-id'
        'iam group create' = 'compartment-id defined-tags description freeform-tags from-json help max-wait-seconds name wait-for-state wait-interval-seconds'
        'iam group delete' = 'force from-json group-id help if-match max-wait-seconds wait-for-state wait-interval-seconds'
        'iam group get' = 'from-json group-id help'
        'iam group list' = 'all compartment-id from-json help lifecycle-state limit name page page-size sort-by sort-order'
        'iam group list-users' = 'all compartment-id from-json group-id help limit page page-size'
        'iam group remove-user' = 'compartment-id force from-json group-id help user-id'
        'iam group update' = 'defined-tags description force freeform-tags from-json group-id help if-match max-wait-seconds wait-for-state wait-interval-seconds'
        'iam identity-provider create' = 'compartment-id defined-tags description freeform-tags from-json help max-wait-seconds name product-type protocol wait-for-state wait-interval-seconds'
        'iam identity-provider delete' = 'force from-json help identity-provider-id if-match max-wait-seconds wait-for-state wait-interval-seconds'
        'iam identity-provider get' = 'from-json help identity-provider-id'
        'iam identity-provider list' = 'all compartment-id from-json help lifecycle-state limit name page page-size protocol sort-by sort-order'
        'iam identity-provider update' = 'defined-tags description force freeform-tags from-json help identity-provider-id if-match max-wait-seconds protocol wait-for-state wait-interval-seconds'
        'iam identity-provider-group list' = 'all from-json help identity-provider-id lifecycle-state limit name page page-size'
        'iam mfa-totp-device activate' = 'from-json help if-match mfa-totp-device-id totp-token user-id'
        'iam mfa-totp-device create' = 'from-json help max-wait-seconds user-id wait-for-state wait-interval-seconds'
        'iam mfa-totp-device delete' = 'force from-json help if-match mfa-totp-device-id user-id'
        'iam mfa-totp-device generate-totp-seed' = 'from-json help if-match max-wait-seconds mfa-totp-device-id user-id wait-for-state wait-interval-seconds'
        'iam mfa-totp-device get' = 'from-json help mfa-totp-device-id user-id'
        'iam mfa-totp-device list' = 'all from-json help limit page page-size sort-by sort-order user-id'
        'iam network-sources create' = 'compartment-id defined-tags description freeform-tags from-json help name public-source-list services virtual-source-list'
        'iam network-sources delete' = 'force from-json help if-match network-source-id'
        'iam network-sources get' = 'from-json help network-source-id'
        'iam network-sources list' = 'all compartment-id from-json help lifecycle-state limit name page page-size sort-by sort-order'
        'iam network-sources update' = 'defined-tags description force freeform-tags from-json help if-match network-source-id public-source-list services virtual-source-list'
        'iam policy create' = 'compartment-id defined-tags description freeform-tags from-json help max-wait-seconds name statements version-date wait-for-state wait-interval-seconds'
        'iam policy delete' = 'force from-json help if-match max-wait-seconds policy-id wait-for-state wait-interval-seconds'
        'iam policy get' = 'from-json help policy-id'
        'iam policy list' = 'all compartment-id from-json help lifecycle-state limit name page page-size sort-by sort-order'
        'iam policy update' = 'defined-tags description force freeform-tags from-json help if-match policy-id statements version-date'
        'iam region list' = 'all from-json help'
        'iam region-subscription create' = 'from-json help region-key tenancy-id'
        'iam region-subscription list' = 'all from-json help tenancy-id'
        'iam scim-client-credentials reset-idp-scim-client' = 'from-json help identity-provider-id'
        'iam smtp-credential create' = 'description from-json help user-id'
        'iam smtp-credential delete' = 'force from-json help if-match smtp-credential-id user-id'
        'iam smtp-credential list' = 'all from-json help user-id'
        'iam smtp-credential update' = 'description from-json help if-match smtp-credential-id user-id'
        'iam tag bulk-delete' = 'from-json help max-wait-seconds tag-definition-ids wait-for-state wait-interval-seconds'
        'iam tag create' = 'defined-tags description freeform-tags from-json help is-cost-tracking max-wait-seconds name tag-namespace-id validator wait-for-state wait-interval-seconds'
        'iam tag delete' = 'force from-json help if-match max-wait-seconds tag-name tag-namespace-id wait-for-state wait-interval-seconds'
        'iam tag get' = 'from-json help tag-name tag-namespace-id'
        'iam tag list' = 'all from-json help lifecycle-state limit page page-size tag-namespace-id'
        'iam tag list-cost-tracking' = 'all compartment-id from-json help limit page page-size'
        'iam tag reactivate' = 'from-json help tag-name tag-namespace-id'
        'iam tag retire' = 'from-json help tag-name tag-namespace-id'
        'iam tag update' = 'defined-tags description force freeform-tags from-json help if-match is-cost-tracking max-wait-seconds tag-name tag-namespace-id validator wait-for-state wait-interval-seconds'
        'iam tag-default assemble-effective-tag-set' = 'compartment-id from-json help lifecycle-state'
        'iam tag-default create' = 'compartment-id from-json help is-required max-wait-seconds tag-definition-id value wait-for-state wait-interval-seconds'
        'iam tag-default delete' = 'force from-json help if-match max-wait-seconds tag-default-id wait-for-state wait-interval-seconds'
        'iam tag-default get' = 'from-json help tag-default-id'
        'iam tag-default list' = 'all compartment-id from-json help id lifecycle-state limit page page-size tag-definition-id'
        'iam tag-default update' = 'from-json help if-match is-required max-wait-seconds tag-default-id value wait-for-state wait-interval-seconds'
        'iam tag-namespace cascade-delete' = 'from-json help if-match max-wait-seconds tag-namespace-id wait-for-state wait-interval-seconds'
        'iam tag-namespace change-compartment' = 'compartment-id from-json help tag-namespace-id'
        'iam tag-namespace create' = 'compartment-id defined-tags description freeform-tags from-json help max-wait-seconds name wait-for-state wait-interval-seconds'
        'iam tag-namespace delete' = 'force from-json help if-match max-wait-seconds tag-namespace-id wait-for-state wait-interval-seconds'
        'iam tag-namespace get' = 'from-json help tag-namespace-id'
        'iam tag-namespace list' = 'all compartment-id from-json help include-subcompartments lifecycle-state limit page page-size'
        'iam tag-namespace reactivate' = 'from-json help tag-namespace-id'
        'iam tag-namespace retire' = 'from-json help tag-namespace-id'
        'iam tag-namespace update' = 'defined-tags description force freeform-tags from-json help max-wait-seconds tag-namespace-id wait-for-state wait-interval-seconds'
        'iam tagging-work-request get' = 'from-json help work-request-id'
        'iam tagging-work-request list' = 'all compartment-id from-json help limit page page-size resource-identifier'
        'iam tagging-work-request-error list' = 'all from-json help limit page page-size work-request-id'
        'iam tagging-work-request-log list' = 'all from-json help limit page page-size work-request-id'
        'iam tenancy get' = 'from-json help tenancy-id'
        'iam ui-password-information get-user' = 'from-json help user-id'
        'iam user api-key delete' = 'fingerprint force from-json help if-match user-id'
        'iam user api-key list' = 'all from-json help user-id'
        'iam user api-key upload' = 'from-json help key key-file user-id'
        'iam user create' = 'compartment-id defined-tags description email freeform-tags from-json help max-wait-seconds name wait-for-state wait-interval-seconds'
        'iam user delete' = 'force from-json help if-match max-wait-seconds user-id wait-for-state wait-interval-seconds'
        'iam user get' = 'from-json help user-id'
        'iam user list' = 'all compartment-id external-identifier from-json help identity-provider-id lifecycle-state limit name page page-size sort-by sort-order'
        'iam user list-groups' = 'all compartment-id from-json help limit page page-size user-id'
        'iam user oauth2-credential create' = 'description from-json help name scopes user-id'
        'iam user oauth2-credential delete' = 'force from-json help if-match oauth2-client-credential-id user-id'
        'iam user oauth2-credential list' = 'all from-json help lifecycle-state limit page page-size user-id'
        'iam user oauth2-credential update' = 'description force from-json help if-match is-reset-password oauth2-client-credential-id scopes user-id'
        'iam user swift-password create' = 'description from-json help user-id'
        'iam user swift-password delete' = 'force from-json help if-match swift-password-id user-id'
        'iam user swift-password list' = 'all from-json help user-id'
        'iam user swift-password update' = 'description from-json help if-match swift-password-id user-id'
        'iam user ui-password create-or-reset' = 'from-json help user-id'
        'iam user update' = 'defined-tags description email force freeform-tags from-json help if-match max-wait-seconds user-id wait-for-state wait-interval-seconds'
        'iam user update-user-capabilities' = 'can-use-api-keys can-use-auth-tokens can-use-console-password can-use-customer-secret-keys can-use-o-auth2-client-credentials can-use-smtp-credentials from-json help if-match max-wait-seconds user-id wait-for-state wait-interval-seconds'
        'iam user update-user-state' = 'blocked from-json help if-match max-wait-seconds user-id wait-for-state wait-interval-seconds'
        'iam work-request get' = 'from-json help work-request-id'
        'iam work-request list' = 'all compartment-id from-json help limit page page-size resource-identifier'
    }
    return $ociCommandsToLongParams
}

function GetOciCommandsToShortParams_iam() {
    $ociCommandsToShortParams = @{
        'iam auth-token create' = '? h'
        'iam auth-token delete' = '? h'
        'iam auth-token list' = '? h'
        'iam auth-token update' = '? h'
        'iam authentication-policy get' = '? c h'
        'iam authentication-policy update' = '? c h'
        'iam availability-domain list' = '? c h'
        'iam bulk-action-resource-type-collection list' = '? h'
        'iam compartment bulk-delete-resources' = '? c h'
        'iam compartment bulk-move-resources' = '? c h'
        'iam compartment create' = '? c h'
        'iam compartment delete' = '? c h'
        'iam compartment get' = '? c h'
        'iam compartment list' = '? c h'
        'iam compartment move' = '? c h'
        'iam compartment recover' = '? c h'
        'iam compartment update' = '? c h'
        'iam customer-secret-key create' = '? h'
        'iam customer-secret-key delete' = '? h'
        'iam customer-secret-key list' = '? h'
        'iam customer-secret-key update' = '? h'
        'iam dynamic-group create' = '? c h'
        'iam dynamic-group delete' = '? h'
        'iam dynamic-group get' = '? h'
        'iam dynamic-group list' = '? c h'
        'iam dynamic-group update' = '? h'
        'iam fault-domain list' = '? c h'
        'iam group add-user' = '? h'
        'iam group create' = '? c h'
        'iam group delete' = '? h'
        'iam group get' = '? h'
        'iam group list' = '? c h'
        'iam group list-users' = '? c h'
        'iam group remove-user' = '? c h'
        'iam group update' = '? h'
        'iam identity-provider create' = '? c h'
        'iam identity-provider delete' = '? h'
        'iam identity-provider get' = '? h'
        'iam identity-provider list' = '? c h'
        'iam identity-provider update' = '? h'
        'iam identity-provider-group list' = '? h'
        'iam mfa-totp-device activate' = '? h'
        'iam mfa-totp-device create' = '? h'
        'iam mfa-totp-device delete' = '? h'
        'iam mfa-totp-device generate-totp-seed' = '? h'
        'iam mfa-totp-device get' = '? h'
        'iam mfa-totp-device list' = '? h'
        'iam network-sources create' = '? c h'
        'iam network-sources delete' = '? h'
        'iam network-sources get' = '? h'
        'iam network-sources list' = '? c h'
        'iam network-sources update' = '? h'
        'iam policy create' = '? c h'
        'iam policy delete' = '? h'
        'iam policy get' = '? h'
        'iam policy list' = '? c h'
        'iam policy update' = '? h'
        'iam region list' = '? h'
        'iam region-subscription create' = '? h'
        'iam region-subscription list' = '? h'
        'iam scim-client-credentials reset-idp-scim-client' = '? h'
        'iam smtp-credential create' = '? h'
        'iam smtp-credential delete' = '? h'
        'iam smtp-credential list' = '? h'
        'iam smtp-credential update' = '? h'
        'iam tag bulk-delete' = '? h'
        'iam tag create' = '? h'
        'iam tag delete' = '? h'
        'iam tag get' = '? h'
        'iam tag list' = '? h'
        'iam tag list-cost-tracking' = '? c h'
        'iam tag reactivate' = '? h'
        'iam tag retire' = '? h'
        'iam tag update' = '? h'
        'iam tag-default assemble-effective-tag-set' = '? c h'
        'iam tag-default create' = '? c h'
        'iam tag-default delete' = '? h'
        'iam tag-default get' = '? h'
        'iam tag-default list' = '? c h'
        'iam tag-default update' = '? h'
        'iam tag-namespace cascade-delete' = '? h'
        'iam tag-namespace change-compartment' = '? c h'
        'iam tag-namespace create' = '? c h'
        'iam tag-namespace delete' = '? h'
        'iam tag-namespace get' = '? h'
        'iam tag-namespace list' = '? c h'
        'iam tag-namespace reactivate' = '? h'
        'iam tag-namespace retire' = '? h'
        'iam tag-namespace update' = '? h'
        'iam tagging-work-request get' = '? h'
        'iam tagging-work-request list' = '? c h'
        'iam tagging-work-request-error list' = '? h'
        'iam tagging-work-request-log list' = '? h'
        'iam tenancy get' = '? h'
        'iam ui-password-information get-user' = '? h'
        'iam user api-key delete' = '? h'
        'iam user api-key list' = '? h'
        'iam user api-key upload' = '? h'
        'iam user create' = '? c h'
        'iam user delete' = '? h'
        'iam user get' = '? h'
        'iam user list' = '? c h'
        'iam user list-groups' = '? c h'
        'iam user oauth2-credential create' = '? h'
        'iam user oauth2-credential delete' = '? h'
        'iam user oauth2-credential list' = '? h'
        'iam user oauth2-credential update' = '? h'
        'iam user swift-password create' = '? h'
        'iam user swift-password delete' = '? h'
        'iam user swift-password list' = '? h'
        'iam user swift-password update' = '? h'
        'iam user ui-password create-or-reset' = '? h'
        'iam user update' = '? h'
        'iam user update-user-capabilities' = '? h'
        'iam user update-user-state' = '? h'
        'iam work-request get' = '? h'
        'iam work-request list' = '? c h'
    }
    return $ociCommandsToShortParams
}